## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class ErrorItem

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.ErrorItem

All Implemented Interfaces:
  IErrorItem

    public class ErrorItem

extends java.lang.Object
implements IErrorItem

Author:
  Idull

Field Summary
`int` `_severity`

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IErrorItem
`CANCEL, ERROR, INFO, OK, WARNING`

Constructor Summary
`ErrorItem(java.lang.Object source, java.lang.String message)`
`ErrorItem(java.lang.Object source, java.lang.String message, int severity)`

Method Summary
`java.lang.String` `getMessage()` Returns the error message
`int` `getSeverity()` Returns the severity.
`java.lang.Object` `getSource()` Returns the source object on which the error occurs.
`void` `setSeverity(int severity)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _severity

    public int _severity

Constructor Detail

### ErrorItem

    public ErrorItem(java.lang.Object source,
                     java.lang.String message)

### ErrorItem

    public ErrorItem(java.lang.Object source,
                     java.lang.String message,
                     int severity)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Description copied from interface: `IErrorItem`
  Returns the error message

  Specified by:
    `getMessage` in interface `IErrorItem`
  Returns:

### getSource

    public java.lang.Object getSource()

  Description copied from interface: `IErrorItem`
  Returns the source object on which the error occurs. (For future use)

  Specified by:
    `getSource` in interface `IErrorItem`
  Returns:

### getSeverity

    public int getSeverity()

  Description copied from interface: `IErrorItem`
  Returns the severity. @see Diagnostic

  Specified by:
    `getSeverity` in interface `IErrorItem`
  Returns:

### setSeverity

    public void setSeverity(int severity)